# The SQLite3Result class

(PHP 5 >= 5.3.0, PHP 7)

## Introduction

A class that handles result sets for the SQLite 3 extension.

## Class synopsis

SQLite3Result {
/* Methods */
public columnName ( int `$column_number` ) : string
public columnType ( int `$column_number` ) : int
public fetchArray ([ int `$mode` = SQLITE3_BOTH ] ) : array
public finalize ( void ) : bool
public numColumns ( void ) : int
public reset ( void ) : bool
}

## Table of Contents

- SQLite3Result::columnName — Returns the name of the nth column
- SQLite3Result::columnType — Returns the type of the nth column
- SQLite3Result::fetchArray — Fetches a result row as an associative or numerically indexed array or both
- SQLite3Result::finalize — Closes the result set
- SQLite3Result::numColumns — Returns the number of columns in the result set
- SQLite3Result::reset — Resets the result set back to the first row